All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.login
Class BaseLogin

    com.sas.servlet.tbeans.login.BaseLogin

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, RenderableInterface, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

Direct Known Subclasses:
  Login

    public abstract class BaseLogin

The BaseLogin is an abstract TransformationBean™ for creating a set of components that allow the user to specify credentials for logging in to a system.

Note that subclasses of this bean actually provide the markup rendering used in/with Servlet and JavaServer Pages technologies. If you need to add support for a markup language that is not explicitly provided with AppDev Studio, then you must extend this class.

For More Information:

Note: A snapshot of the AppDev Studio Developers Site is installed on your local Web server when you install AppDev Studio. To access the site from webAF, select Help -> Developer Site .

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` | `failureURL`
`protected com.sas.util.login.LoginBean` | `loginBean`
`protected java.lang.String` | `submitURL`
`protected java.lang.String` | `successURL`

Constructor Summary
`BaseLogin()` Default constructor.

Method Summary
`java.lang.String` | `getFailureURL()` Returns the URL used after failure to validate the specified credentials.
`com.sas.util.login.LoginBean` | `getModel()` Gets the model that has been set for this transformation bean.
`java.lang.String` | `getSubmitURL()` Returns the URL that is used when the user presses the Submit button.
`java.lang.String` | `getSuccessURL()` Returns the URL used after success validation of the login credentials.
`void` | `setFailureURL(java.lang.String URL)` Sets the URL to be used after failure to validate the specified credentials.
`void` | `setModel(com.sas.util.login.LoginBean bean)` Sets the model for this transformation bean.
`void` | `setSubmitURL(java.lang.String URL)` Sets the URL to be used when the user presses the Submit button.
`void` | `setSuccessURL(java.lang.String URL)` Sets the URL to be used after successful validation of the credentials has been achieved.

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCleanUpResourcesOn, setCustomAttributes, setDescription, setId, setInputTransform, setLocale, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, toString, write, write, write, write`

Field Detail

### loginBean

    protected com.sas.util.login.LoginBean loginBean

### submitURL

    protected java.lang.String submitURL

### successURL

    protected java.lang.String successURL

### failureURL

    protected java.lang.String failureURL

Constructor Detail

### BaseLogin

    public BaseLogin()

  Default constructor.

Method Detail

### setModel

    public void setModel(com.sas.util.login.LoginBean bean)

  Sets the model for this transformation bean. This model, an instance of com.sas.util.login.LoginBean, contains the general properties for the login bean. Additional properties that are specific to JSP usage are included directly on this tbean.

  Parameters:
    `bean` - The model to set.
  See Also:
    `getModel()`

### getModel

    public com.sas.util.login.LoginBean getModel()

  Gets the model that has been set for this transformation bean.

  Returns:
    The model for this tbean.
  See Also:
    `setModel(LoginBean)`

### setSubmitURL

    public void setSubmitURL(java.lang.String URL)

  Sets the URL to be used when the user presses the Submit button. Typically this will point to a servlet to perform validation of the credentials specified by the user.

  Parameters:
    `URL` - The URL for the Submit button.
  See Also:
    `getSubmitURL()`

### getSubmitURL

    public java.lang.String getSubmitURL()

  Returns the URL that is used when the user presses the Submit button.

  Returns:
    The URL for the Submit button.
  See Also:
    `setSubmitURL(String)`

### setSuccessURL

    public void setSuccessURL(java.lang.String URL)

  Sets the URL to be used after successful validation of the credentials has been achieved.

  Parameters:
    `URL` - The URL to be accessed upon login success.
  See Also:
    `getSuccessURL()`

### getSuccessURL

    public java.lang.String getSuccessURL()

  Returns the URL used after success validation of the login credentials.

  Returns:
    The URL accessed upon login success.
  See Also:
    `setSuccessURL(String)`

### setFailureURL

    public void setFailureURL(java.lang.String URL)

  Sets the URL to be used after failure to validate the specified credentials.

  Parameters:
    `URL` - The URL to be accessed upon login failure.
  See Also:
    `getFailureURL()`

### getFailureURL

    public java.lang.String getFailureURL()

  Returns the URL used after failure to validate the specified credentials.

  Returns:
    The URL to be accessed upon login failure.
  See Also:
    `setFailureURL(String)`

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.